# -*- coding: utf-8 -*-

# Copyright (c) 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a Properties lexer with some additional methods.
"""

from qtext import QextScintillaLexerProperties
from qt import *

from Lexer import Lexer

class LexerProperties(QextScintillaLexerProperties, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerProperties.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("##")
